/* cube.c	-- Yasuhiro Yamazaki Tue Oct 23 2001
 */

#include <GL/gl.h>
#include <GL/glut.h>

void
putCube( void )
{
  GLfloat v[8][3] = {
    { -1.0, -1.0, -1.0 },
    {  1.0, -1.0, -1.0 },
    {  1.0, -1.0,  1.0 },
    { -1.0, -1.0,  1.0 },
    { -1.0,  1.0, -1.0 },
    {  1.0,  1.0, -1.0 },
    {  1.0,  1.0,  1.0 },
    { -1.0,  1.0,  1.0 },
  };

  glBegin( GL_QUADS );

  /*  */
  glColor3f( 1.0f, 0.0f, 0.0f );
  glVertex3fv( v[0] );
  glVertex3fv( v[1] );
  glVertex3fv( v[2] );
  glVertex3fv( v[3] );

  /*  */
  glColor3f( 1.0f, 0.0f, 0.0f );
  glVertex3fv( v[7] );
  glVertex3fv( v[6] );
  glVertex3fv( v[5] );
  glVertex3fv( v[4] );

  /* ¦ */
  glColor3f( 0.0f, 1.0f, 0.0f );
  glVertex3fv( v[0] );
  glVertex3fv( v[4] );
  glVertex3fv( v[7] );
  glVertex3fv( v[3] );

  glVertex3fv( v[2] );
  glVertex3fv( v[6] );
  glVertex3fv( v[5] );
  glVertex3fv( v[1] );

  glColor3f( 0.0f, 0.0f, 1.0f );
  glVertex3fv( v[1] );
  glVertex3fv( v[5] );
  glVertex3fv( v[4] );
  glVertex3fv( v[0] );

  glVertex3fv( v[3] );
  glVertex3fv( v[7] );
  glVertex3fv( v[6] );
  glVertex3fv( v[2] );

  glEnd();
}
