/* ex1.c	-- Yasuhiro Yamazaki Tue Oct 23 2001
 */
#include <stdio.h>
#include <stdlib.h>
#include <GL/gl.h>
#include <GL/glu.h>
#include <GL/glut.h>

/* ͤؿ */
static double
getRandom( const double x )
{
  /* ɴʬΨ׻ */
  return ((double)rand()/(double)RAND_MAX)*x;
}

/*  */
static void
drawStar( const int num )
{
  int i;

  /* ʣ褹 */
  glBegin( GL_POINTS );
  for( i=0; i<num; i++ ){
    glVertex3f( (float)getRandom( 2.0 )-1.0f, (float)getRandom( 2.0 )-1.0f, 0.0f );
  }
  glEnd();
}

/* ɤĤ֤줿ѷ */
static void
drawFillTriangle( void )
{
  /* GL_TRIANGLES ꤷ褹 */
  glBegin( GL_TRIANGLES );
  glVertex3f(  0.0f, 0.4f, 0.0f );
  glVertex3f( -0.4f,-0.4f, 0.0f );
  glVertex3f(  0.4f,-0.4f, 0.0f );
  glEnd();
}

/* ʬǻѷ */
static void
drawLineTriangle( void )
{
  /* GL_LINE_LOOP ꤷʬ褹 */
  glBegin( GL_LINE_LOOP );
  glVertex3f(  0.0f, 0.5f, 0.0f );
  glVertex3f( -0.5f,-0.5f, 0.0f );
  glVertex3f(  0.5f,-0.5f, 0.0f );
  glEnd();
}

/* 襳Хåؿ */
static void
displayCallback( void )
{
  /* ǥӥ塼ñ̹˽ */
  glLoadIdentity();

  /* ХåեɤĤ֤ */
  glClear( GL_COLOR_BUFFER_BIT );

  /* 褹ؿƤ */
  drawStar( 100 );
  drawFillTriangle();
  drawLineTriangle();
}

/* ɥΥѹ줿ΥХåؿ */
static void
reshapeCallback( int width, int height )
{
  /* ɥ襨ꥢȤ */
  glViewport( 0, 0, width, height );

  /* ץñ̹˽ */
  glMatrixMode( GL_PROJECTION );
  glLoadIdentity();

  /* Ǹ˥ǥӥ塼 */
  glMatrixMode( GL_MODELVIEW );
}

/* ϤäΥХåؿ */
static void
keyboardCallback( unsigned char key, int x, int y )
{
  switch (key) {
  /* Esc줿ץλ */
  case 27:
    exit( EXIT_SUCCESS );
    break;
    
  default:
    break;
  }
}

/* OpenGL ν֤򵭽ҤƤ */
static void
initGL( void )
{
  int width, height;

  width  = glutGet( GLUT_WINDOW_WIDTH );
  height = glutGet( GLUT_WINDOW_HEIGHT );
  reshapeCallback( width, height );

  /* 顼ХåեɤĤ֤ꤹ */
  glClearColor( 0.0, 0.0, 0.0, 1.0 );
}

/* MAIN ؿ */
int
main( int argc, char *argv[] )
{
  /* GLUT ν */
  glutInit( &argc, argv );
  glutInitDisplayMode( GLUT_RGB );

  /* ɥ */
  glutCreateWindow( "ex1" );

  /* Хåؿ */
  glutDisplayFunc( displayCallback );
  glutKeyboardFunc( keyboardCallback );
  glutReshapeFunc( reshapeCallback );

  /* OpenGL ν֤ */
  initGL();

  /* GLUT Υᥤ롼פƤ */
  glutMainLoop();
  
  return EXIT_SUCCESS;
}
