/* ex2.c	-- Yasuhiro Yamazaki Tue Oct 23 2001
 */
#include <stdio.h>
#include <stdlib.h>
#include <GL/gl.h>
#include <GL/glu.h>
#include <GL/glut.h>

/* ʬǻѷ */
static void
drawLineTriangle( void )
{
  /* GL_LINE_LOOP ꤷʬ褹 */
  glBegin( GL_LINE_LOOP );
  glVertex3f(  1.0f, 0.0f,  0.0f );
  glVertex3f(  0.0f, 0.0f, -1.0f );
  glVertex3f(  0.0f, 0.0f,  1.0f );
  glEnd();
}

/* 褹 */
static void
drawArrowHead( void )
{
  glPushMatrix();
    /* glScalef() ˤäƽ̾줿ѷ */
    glScalef( 0.25f, 1.0f, 0.1f );
    drawLineTriangle();
  glPopMatrix();
}

/* 褹 */
static void
drawArrow( const float degree,
	   const float x, const float y, const float z )
{
  glPushMatrix();
    /* λ̤βžꤷθ褹 */
    glRotatef( degree, x, y, z );
    glBegin( GL_LINES );
      /* ꤷƼ */
      glVertex3f( 0.0f, 0.0f, 0.0f );
      glVertex3f( 1.0f, 0.0f, 0.0f );
    glEnd();
    /* ذư */
    glTranslatef( 1.0f, 0.0f, 0.0f );
    /* Ȥʤ뻰ѷ */
    drawArrowHead();
    /* Τޤ X 90ٲžƺƤƱѷ */
    glRotatef( 90.0f, 1.0f, 0.0f, 0.0f );
    drawArrowHead();
  glPopMatrix();
}

/* XYZ褹 */
static void
drawAxis( void )
{
  /* X֤ꤹ */
  glColor3f( 1.0f, 0.0f, 0.0f );
  drawArrow( 0.0f, 0.0f, 0.0f, 0.0f );

  /* YĤꤹ */
  glColor3f( 0.0f, 1.0f, 0.0f );
  drawArrow( 90.0f, 0.0f, 0.0f, 1.0f );

  /* ZĤꤹ */
  glColor3f( 0.0f, 0.0f, 1.0f );
  drawArrow( -90.0f, 0.0f, 1.0f, 0.0f );
}

/* 襳Хåؿ */
static void
displayCallback( void )
{
  /* ǥӥ塼ñ̹˽ */
  glLoadIdentity();

  /* ꤹ */
  gluLookAt( 2.0f, 2.0f, 2.0f,
	     0.0f, 0.0f, 0.0f,
	     0.0f, 1.0f, 0.0f );

  /* ХåեɤĤ֤ */
  glClear( GL_COLOR_BUFFER_BIT );

  /* 褹ؿƤ */
  drawAxis();
}

/* ɥΥѹ줿ΥХåؿ */
static void
reshapeCallback( int width, int height )
{
  /* ɥ襨ꥢȤ */
  glViewport( 0, 0, width, height );

  /* ץñ̹˽ */
  glMatrixMode( GL_PROJECTION );
  glLoadIdentity();
  gluPerspective(60.0, width/(GLdouble)height, 0.01, 100);

  /* Ǹ˥ǥӥ塼 */
  glMatrixMode( GL_MODELVIEW );
}

/* ϤäΥХåؿ */
static void
keyboardCallback( unsigned char key, int x, int y )
{
  switch (key) {
  /* Esc줿ץλ */
  case 27:
    exit( EXIT_SUCCESS );
    break;
    
  default:
    break;
  }
}

/* OpenGL ν֤򵭽ҤƤ */
static void
initGL( void )
{
  int width, height;

  width  = glutGet( GLUT_WINDOW_WIDTH );
  height = glutGet( GLUT_WINDOW_HEIGHT );
  reshapeCallback( width, height );

  /* 顼ХåեɤĤ֤ꤹ */
  glClearColor( 0.0, 0.0, 0.0, 1.0 );
}

/* MAIN ؿ */
int
main( int argc, char *argv[] )
{
  /* GLUT ν */
  glutInit( &argc, argv );
  glutInitDisplayMode( GLUT_RGB );

  /* ɥ */
  glutCreateWindow( "ex2" );

  /* Хåؿ */
  glutDisplayFunc( displayCallback );
  glutKeyboardFunc( keyboardCallback );
  glutReshapeFunc( reshapeCallback );

  /* OpenGL ν֤ */
  initGL();

  /* GLUT Υᥤ롼פƤ */
  glutMainLoop();
  
  return EXIT_SUCCESS;
}
